FlxpointAPI Help CenterBeta

Get Count of Listing Variants

gethttps://api.flxpoint.com/listing/variants/count

Use this when you want to pull listing data through the API.

🔑 X-API-TOKEN⏱ 2 req/sToken: Account · Source · Channel

This page explains the endpoint. To send a live test request, use the interactive tester in Stoplight or your own Postman / HTTP client.

Request

Query parameters
  • channelIdqueryinteger

    This will be automatically populated for Channel API Tokens. Required if using an Account API Token

  • updatedAfterquerystring (date-time)

    Only retrieves back listing variants that hae been updated after the date specified

  • basicsUpdatedAfterquerystring (date-time)

    Only retrieves back listing variants that have had basic info updated after the date specified. This includes primary fields like `price` and `quantity`

  • syncqueryboolean

    Filter listing variants based on whether or not they have data ready to be synced.

  • publishqueryboolean

    Filter listing variants based on whether or not they have data ready to be published (created or updated).

  • includeDeletingqueryboolean

    Filter listing variants based on whether or not they have been deleted

  • includeImagesCachedqueryboolean

    Filter listing variants based on whether or not they have images cached.

  • includePausedqueryboolean

    Filter listing variants based on whether or not they have been paused

  • minimumQuantityqueryinteger

    Filter listing variants based on whether or not they have a minimum quantity.

  • skusqueryarray[string]

    Finds elements matching these SKUs. Max 50

Example request

get/listing/variants/count
curl -X GET "https://api.flxpoint.com/listing/variants/count" \
  -H "Accept: application/json" \
  -H "X-API-TOKEN: YOUR_TOKEN"

Responses

200OKapplication/json
countintegerrequired
Example response
{
  "count": 0
}
400Bad Requestapplication/json
errorstring
A generalized error message, may or may not be fit for human consumption.
dataobject
Data points that could be useful in debugging the error.
No properties documented.
Example response
{
  "error": "string",
  "data": {}
}
401Unauthorized

No schema documented for this status.

404Not Found

No schema documented for this status.

OpenAPI fragment
{
  "get": {
    "summary": "Get Count of Listing Variants",
    "parameters": [
      {
        "schema": {
          "type": "integer"
        },
        "in": "query",
        "name": "channelId",
        "description": "This will be automatically populated for Channel API Tokens. Required if using an Account API Token"
      },
      {
        "schema": {
          "type": "string",
          "format": "date-time"
        },
        "in": "query",
        "name": "updatedAfter",
        "description": "Only retrieves back listing variants that hae been updated after the date specified"
      },
      {
        "schema": {
          "type": "string",
          "format": "date-time"
        },
        "in": "query",
        "name": "basicsUpdatedAfter",
        "description": "Only retrieves back listing variants that have had basic info updated after the date specified. \n\n This includes primary fields like `price` and `quantity`"
      },
      {
        "schema": {
          "type": "boolean"
        },
        "in": "query",
        "name": "sync",
        "description": "Filter listing variants based on whether or not they have data ready to be synced."
      },
      {
        "schema": {
          "type": "boolean"
        },
        "in": "query",
        "name": "publish",
        "description": "Filter listing variants based on whether or not they have data ready to be published (created or updated)."
      },
      {
        "schema": {
          "type": "boolean",
          "default": true
        },
        "in": "query",
        "name": "includeDeleting",
        "description": "Filter listing variants based on whether or not they have been deleted"
      },
      {
        "schema": {
          "type": "boolean",
          "default": false
        },
        "in": "query",
        "name": "includeImagesCached",
        "description": "Filter listing variants based on whether or not they have images cached."
      },
      {
        "schema": {
          "type": "boolean",
          "default": true
        },
        "in": "query",
        "name": "includePaused",
        "description": "Filter listing variants based on whether or not they have been paused"
      },
      {
        "schema": {
          "type": "integer"
        },
        "in": "query",
        "name": "minimumQuantity",
        "description": "Filter listing variants based on whether or not they have a minimum quantity."
      },
      {
        "schema": {
          "type": "array",
          "maxItems": 50,
          "example": "SKU123,SKU456,SKU789",
          "uniqueItems": true,
          "items": {
            "type": "string"
          }
        },
        "in": "query",
        "name": "skus",
        "description": "Finds elements matching these SKUs. Max 50",
        "style": "form",
        "explode": false
      }
    ],
    "responses": {
      "200": {
        "description": "OK",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/GenericCount"
            }
          }
        }
      },
      "400": {
        "description": "Bad Request",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/GenericApiError"
            }
          }
        }
      },
      "401": {
        "description": "Unauthorized"
      },
      "404": {
        "description": "Not Found"
      }
    }
  }
}
Ready to run it? Send the curl from your terminal or Postman, or use the interactive tester in Stoplight.Open in Stoplight